#include<iostream>
using namespace std;
int main(){
    int a,b,l,x;
    cin>>a>>b>>l;
    int br=l;
    for(int k=a+b;k<=l;k++){
        for(x=1;x<k;x++){
            if((k-(x*a))%b==0){
                br--;
                break;
            }
        }
    }
    cout<<br;
    return 0;
}
